Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0046992
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[POS2] POSmajoralways2021-06-04 14:202021-06-11 09:09
ReporterdmiguelezView Statuspublic 
Assigned Topablobessone 
PrioritynormalResolutionfixedFixed in VersionTAP
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget VersionTAP
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0046992: JIRA-2042: Convert Ticket into Return User Action should be securitized

DescriptionIt is possible for a client to want to avoid returns flow for some users, therefore this action must me secutiritized.
Steps To ReproduceCheck in the BO that that it is not possible to add for any role a User Action for Convert Ticket into Return.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0046991 closedpablobessone JIRA-2042: Convert Ticket into Return User Action should be securitized 

-  Notes
(0129370)
pablobessone (developer)
2021-06-10 21:30

MR created here:

- https://gitlab.com/obcustomers/AGAP/org.openbravo.pos2/-/merge_requests/57 [^]
- https://gitlab.com/obcustomers/AGAP/org.openbravo.pos2.sampledata/-/merge_requests/5 [^]
(0129382)
dmiguelez (developer)
2021-06-11 09:09

Fixed by commits:
https://gitlab.com/obcustomers/AGAP/org.openbravo.pos2/-/commit/51e5f73243c3e9298cc3eec1324cdbed923eb386 [^]
https://gitlab.com/obcustomers/AGAP/org.openbravo.pos2.sampledata/-/commit/236a885d08cbcdaca047362e97e1e60e3ca6a659 [^]
(0129383)
dmiguelez (developer)
2021-06-11 09:09

Code Review + Testing Ok

- Issue History
Date Modified Username Field Change
2021-06-04 14:21 dmiguelez Type defect => backport
2021-06-04 14:21 dmiguelez Target Version => TAP
2021-06-04 14:22 dmiguelez Assigned To Retail => pablobessone
2021-06-04 14:33 dmiguelez Summary Convert Ticket into Return User Action should be securitized => JIRA-2042: Convert Ticket into Return User Action should be securitized
2021-06-10 21:30 pablobessone Note Added: 0129370
2021-06-11 09:09 dmiguelez Note Added: 0129382
2021-06-11 09:09 dmiguelez Status scheduled => resolved
2021-06-11 09:09 dmiguelez Fixed in Version => TAP
2021-06-11 09:09 dmiguelez Resolution open => fixed
2021-06-11 09:09 dmiguelez Review Assigned To => dmiguelez
2021-06-11 09:09 dmiguelez Note Added: 0129383
2021-06-11 09:09 dmiguelez Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker